using System;
using System.Xml;
using Server;

namespace Server.Gumps
{
	public class ChildNode
	{
		private ParentNode m_Parent;

		private string m_Name;
		private Point3D m_Location;

		public ChildNode( XmlTextReader xml, ParentNode parent )
		{
			m_Parent = parent;

			Parse( xml );
		}

		private void Parse( XmlTextReader xml )
		{
			if ( xml.MoveToAttribute( "name" ) )
				m_Name = xml.Value;
			else
				m_Name = "empty";

			if ( xml.MoveToAttribute( "x" ) )
				m_Location.X = Utility.ToInt32( xml.Value );

			if ( xml.MoveToAttribute( "y" ) )
				m_Location.Y = Utility.ToInt32( xml.Value );

			if ( xml.MoveToAttribute( "z" ) )
				m_Location.Z = Utility.ToInt32( xml.Value );
		}

		public ParentNode Parent
		{
			get
			{
				return m_Parent;
			}
		}

		public string Name
		{
			get
			{
				return m_Name;
			}
		}

		public Point3D Location
		{
			get
			{
				return m_Location;
			}
		}
	}
}