using System;
using Server;
using Server.Mobiles;
using Server.Items;

namespace Server.Mobiles
{
	[CorpseName( "an ettin corpse" )]
	public class Ettin : BaseCreature
	{
		[Constructable]
		public Ettin() : base( AIType.AI_Meelee, AIType.AI_Meelee, 10, 1, 1, 0.4, 2 )
		{
			this.Body = Utility.RandomList( 0x2, 0x12 );
			this.Name = "an ettin";

			this.BaseSoundID = 0x16F;

			this.InitStats( Utility.Random( 135, 31 ), Utility.Random( 55, 21 ), Utility.Random( 30, 26 ) );

			this.Skills[SkillName.Macing].Base = Utility.Random( 55, 11 );
			this.Skills[SkillName.Tactics].Base = Utility.Random( 50, 21 );
			this.Skills[SkillName.MagicResist].Base = Utility.Random( 45, 11 );

			this.VirtualArmor = 38;

			this.Fame = Utility.Random( 2500, 2500 );
			this.Karma = -Utility.Random( 2500, 2500 );

			Container pack = new Backpack();

			pack.Movable = false;

			pack.DropItem( new Gold( 50, 101 ) );
			pack.DropItem( new Ruby() );

			this.AddItem( pack );

			this.AddItem( new Club() );
		}

		public Ettin( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}