using System;
using Server.Targeting;
using Server.Items;
using Server.Network;

namespace Server.SkillHandlers
{
	public class Hiding
	{
		public static void Initialize()
		{
			SkillInfo.Table[21].Callback = new SkillUseCallback( OnUse );
		}

		public static TimeSpan OnUse( Mobile m )
		{
			if ( m.Target != null || m.Spell != null )
			{
				m.SendLocalizedMessage( 501238 ); // You are busy doing something else and cannot hide.
				return TimeSpan.FromSeconds( 1.0 );
			}

			bool badCombat = ( m.Combatant != null );
			bool ok = ( !badCombat && m.CheckSkill( SkillName.Hiding, 0.0, 100.0 ) );

			if ( ok )
			{
				Map map = m.Map;

				if ( map != null )
				{
					IPooledEnumerable eable = map.GetMobilesInRange( m.Location, 18 + (int)(m.Skills[SkillName.Hiding].Value / 10) );

					foreach ( Mobile check in eable )
					{
						if ( check.Combatant == m )
						{
							badCombat = true;
							ok = false;
							break;
						}
					}

					eable.Free();
				}
			}

			if ( ok )
			{
				m.Hidden = true;

				m.LocalOverheadMessage( MessageType.Regular, 0x1F4, 501240 ); // You have hidden yourself well.
			}
			else if ( badCombat )
			{
				m.RevealingAction();

				m.LocalOverheadMessage( MessageType.Regular, 0x22, 501237 ); // You can't seem to hide right now.
			}
			else
			{
				m.RevealingAction();

				m.LocalOverheadMessage( MessageType.Regular, 0x22, 501241 ); // You can't seem to hide here.
			}

			return TimeSpan.FromSeconds( 10.0 );
		}
	}
}