// Unlock Spell Script v.1.0 by SickLab

using System;
using Server.Targeting;
using Server.Network;
using Server.Items;

namespace Server.Spells.Third
{
	public class UnlockSpell : Spell
	{
		private static SpellInfo m_Info = new SpellInfo(
			"Unlock Spell", "Ex Por",
			SpellCircle.Third,
			212,
			Reagent.Bloodmoss,
			Reagent.SulfurousAsh
			);

		public UnlockSpell( Mobile caster, Item scroll ) : base( caster, scroll, m_Info )
		{
		}

		public override void OnCast()
		{
			Caster.Target = new InternalTarget( this );
			Caster.SendMessage( "What do you wish to unlock?" );
		}

		public void Target( LockableContainer targ )
		{
			if ( !Caster.CanSee( targ ) )
			{
				Caster.SendLocalizedMessage( 500237 ); // Target can not be seen.
			}
			else if ( CheckSequence() )
			{
				Caster.Direction = Caster.GetDirectionTo( targ );

				if ( targ.Locked )
				{
					if ( targ.LockLevel > 0 )
					{
						int lockPower = (int)Caster.Skills[SkillName.Magery].Value;

						if ( targ.LockLevel <= lockPower )
						{
							targ.Locked = false;
							Caster.PlaySound( 0x1ff );
							Caster.SendMessage( "You unlock the lock" );
						}
					}
					else
					{
						Caster.SendMessage( "You can't unlock this lock" );
					}
				}
				else
				{
					Caster.SendMessage( "This is not locked" );
				}
			}

			FinishSequence();
		}

		private class InternalTarget : Target
		{
			private UnlockSpell m_Owner;

			public InternalTarget( UnlockSpell owner ) : base( 12, false, TargetFlags.None )
			{
				m_Owner = owner;
			}

			protected override void OnTarget( Mobile from, object o )
			{
				if ( o is LockableContainer )
				{
					m_Owner.Target( (LockableContainer)o );
				}
				else
				{
					from.SendMessage( "This can't be unlocked" );
				}
			}

			protected override void OnTargetFinish( Mobile from )
			{
				m_Owner.FinishSequence();
			}
		}
	}
}